## python-saharaclient 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
keystoneauth1>=3.1.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-saharaclient (1.3.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 19:44:40 +0000

python-saharaclient (1.3.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/control: Add python(3)-pep8 to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 14:13:27 -0400

python-saharaclient (1.2.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:34 +0100

python-saharaclient (1.1.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Clean up dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 08:34:32 -0500

python-saharaclient (1.1.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * debian/control: Bump dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 08:37:09 -0500

python-saharaclient (1.0.0-0ubuntu2) zesty; urgency=medium

  * Remove prerm/postinst/postrm since no binaries are installed. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 10 Nov 2016 08:40:28 -0500

python-saharaclient (1.0.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/changelog: Bump version dependencies.
  * debian/patches/drop-doc-conf-git.patch: Dropped, emits a warning
    if the git command is not run.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Nov 2016 14:28:43 -0500

python-saharaclient (0.18.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 11:31:52 -0400

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
               python3-sphinx (>= 1.5.1),
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-mock (>= 2.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-testr (>= 0.8.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-pep8,
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx-argparse,
                     python-testrepository (>= 0.0.18),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-hacking (>= 0.10.0),
                     python3-keystoneauth1 (>= 3.1.0),
                     python3-mock (>= 2.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-openstackdocstheme (>= 1.16.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx-argparse,
                     python3-testrepository (>= 0.0.18),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-keystoneauth1 (>= 3.1.0),
         python-openstackclient (>= 3.3.0),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Openstack Sahara API server - Python 2.7 module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 2.7 module.

Package: python3-saharaclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-keystoneauth1 (>= 3.1.0),
         python3-openstackclient (>= 3.3.0),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

Package: python-saharaclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

## python-saharaclient 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-saharaclient (1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:41:24 -0500

python-saharaclient (1.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Switch to stestr for running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 13:45:48 -0500

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pep8,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sphinx-argparse,
 python-stestr (>= 1.1.0),
 python-testrepository (>= 0.0.18),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinx-argparse,
 python3-stestr (>= 1.1.0),
 python3-testrepository (>= 0.0.18),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: Client library for Openstack Sahara API server - Python 2.7 module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 2.7 module.

Package: python-saharaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

Package: python3-saharaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) stestr --test-path ./saharaclient/tests/unit run
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build

## python-saharaclient 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 Babel!=2.4.0,>=2.3.4 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
-osc-lib>=1.8.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
+osc-lib>=1.11.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-saharaclient (2.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete alternatives on upgrade.  (Closes: #910224)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Mar 2019 12:08:08 +0100

python-saharaclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:45:05 +0200

python-saharaclient (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Removed fix-sphinx-Directive-import.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 13:34:53 +0200

python-saharaclient (1.5.0-4) unstable; urgency=medium

  * Add patch to fix sphinx Directive module import (Closes: #896634).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Apr 2018 10:28:30 +0200

python-saharaclient (1.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:55:42 +0000

python-saharaclient (1.5.0-2) experimental; urgency=medium

  * Fixed minimum version of openstack-pkg-tools to 66~ to support stestr,
    as this is what saharaclient uses now (Closes: #890856).
  * Bumped debhelper to 10.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 07:30:38 +0000

python-saharaclient (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 21:32:30 +0000

python-saharaclient (1.3.0-4) unstable; urgency=medium

  * Add missing build-depends on python3-hacking (Closes: #880860).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 12:50:29 +0000

python-saharaclient (1.3.0-3) unstable; urgency=medium

  * Build-depends on python{3,}-pep8 (Closes: #880179).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 18:16:59 +0000

python-saharaclient (1.3.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Reviewed d/copyright holders.
  * Handle the <!nodoc> build profile.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 11:21:12 +0200

python-saharaclient (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-failing-unit-discovery.patch, files are gone upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 23:24:44 +0200

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 66~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock,
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-pep8,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr,
 python3-babel,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-pep8,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-saharaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends:
 python-babel,
 python-keystoneauth1 (>= 3.4.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: Client library for Openstack Sahara API server - Python 2.7 module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 2.7 module.

Package: python-saharaclient-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

Package: python3-saharaclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) stestr --test-path ./saharaclient/tests/unit run
+	pkgos-dh_auto_test 'saharaclient\.tests\.unit.*'
 endif
 
 override_dh_installman:
@@ -21,14 +21,21 @@
 endif
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev:
+override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons:
+override_dh_perl override_dh_usrlocal:

## python-saharaclient 2.2.0

=== debian/changelog ===
python-saharaclient (2.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 Mar 2019 19:45:37 +0000

python-saharaclient (2.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 14:37:40 -0400

python-saharaclient (2.1.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:16:12 -0500

python-saharaclient (2.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-sphinx-Directive-import.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 11:33:16 -0400

python-saharaclient (1.6.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 14:52:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-saharaclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -17,51 +18,58 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
- python-babel,
- python-coverage,
- python-hacking (>= 0.10.0),
+ python-babel (>= 2.3.4),
+ python-coverage (>= 4.0),
+ python-hacking (>= 0.12.0),
  python-keystoneauth1 (>= 3.4.0),
- python-mock,
+ python-mock (>= 2.0.0),
  python-openstackclient (>= 3.12.0),
+ python-os-testr (>= 1.0.0),
  python-osc-lib (>= 1.11.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 3.2.0),
+ python-oslotest (>= 1:3.2.0),
  python-pep8,
  python-requests (>= 2.14.2),
  python-requests-mock (>= 1.2.0),
- python-six,
- python-stestr,
- python3-babel,
- python3-coverage,
- python3-hacking,
+ python-six (>= 1.10.0),
+ python-stestr (>= 1.0.0),
+ python-testrepository (>= 0.0.18),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 0.12.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-mock,
+ python3-mock (>= 2.0.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-os-testr (>= 1.0.0),
  python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 3.2.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-stestr (>= 1.0.0),
  python3-pep8,
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-six,
- python3-stestr,
+ python3-six (>= 1.10.0),
+ python3-testrepository (>= 0.0.18),
  subunit,
+ testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-saharaclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-saharaclient.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
 Homepage: https://github.com/openstack/python-saharaclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-saharaclient
 Architecture: all
 Depends:
- python-babel,
+ python-babel (>= 2.3.4),
  python-keystoneauth1 (>= 3.4.0),
  python-openstackclient (>= 3.12.0),
  python-osc-lib (>= 1.11.0),
@@ -71,7 +79,7 @@
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-six,
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Description: Client library for Openstack Sahara API server - Python 2.7 module
@@ -104,7 +112,7 @@
 Package: python3-saharaclient
 Architecture: all
 Depends:
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 3.12.0),
  python3-osc-lib (>= 1.11.0),
@@ -114,7 +122,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Sahara API server - Python 3.x module

## python-saharaclient 2.3.0

=== debian/changelog ===
python-saharaclient (2.3.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 22:46:20 +0000

python-saharaclient (2.3.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:38:05 +0100

python-saharaclient (2.2.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:51:30 -0400

python-saharaclient (2.2.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-saharaclient binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 14:28:51 +0200

=== debian/control ===
--- 
+++ 
@@ -18,25 +18,6 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-hacking (>= 0.12.0),
- python-keystoneauth1 (>= 3.4.0),
- python-mock (>= 2.0.0),
- python-openstackclient (>= 3.12.0),
- python-os-testr (>= 1.0.0),
- python-osc-lib (>= 1.11.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-pep8,
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-six (>= 1.10.0),
- python-stestr (>= 1.0.0),
- python-testrepository (>= 0.0.18),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-hacking (>= 0.12.0),
@@ -57,40 +38,13 @@
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
+ python3-subunit,
  python3-testrepository (>= 0.0.18),
- subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-saharaclient
 Homepage: https://github.com/openstack/python-saharaclient
 Testsuite: autopkgtest-pkg-python
-
-Package: python-saharaclient
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-keystoneauth1 (>= 3.4.0),
- python-openstackclient (>= 3.12.0),
- python-osc-lib (>= 1.11.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- ${misc:Depends},
- ${python:Depends},
-Description: Client library for Openstack Sahara API server - Python 2.7 module
- Sahara aims to provide users with simple means to provision a Hadoop cluster
- by specifying several parameters like Hadoop version, cluster topology, nodes
- hardware details and a few more.
- .
- This is a client for the Sahara which uses the OpenStack Image API. There's a
- Python API (the "saharaclient" module), and a command-line script ("sahara").
- .
- This package provides the Python 2.7 module.
 
 Package: python-saharaclient-doc
 Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'saharaclient\.tests\.unit.*'
+	pkgos-dh_auto_test --no-py2 'saharaclient\.tests\.unit.*'
 endif
 
 override_dh_installman:
@@ -22,7 +22,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-saharaclient 3.0.0

=== debian/changelog ===
python-saharaclient (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:35:26 -0400

## python-saharaclient 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0
-osc-lib>=1.11.0 # Apache-2.0
+osc-lib>=2.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-python-openstackclient>=3.12.0 # Apache-2.0
+python-openstackclient>=5.2.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD

=== debian/changelog ===
python-saharaclient (3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 10:04:49 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools (>= 66~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -23,10 +20,10 @@
  python3-hacking (>= 0.12.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
- python3-openstackclient (>= 3.12.0),
+ python3-openstackclient (>= 5.2.0),
  python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
  python3-os-testr (>= 1.0.0),
- python3-osc-lib (>= 1.11.0),
+ python3-osc-lib (>= 2.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
@@ -68,8 +65,8 @@
 Depends:
  python3-babel (>= 2.3.4),
  python3-keystoneauth1 (>= 3.4.0),
- python3-openstackclient (>= 3.12.0),
- python3-osc-lib (>= 1.11.0),
+ python3-openstackclient (>= 5.2.0),
+ python3-osc-lib (>= 2.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),

## python-saharaclient 3.2.1

=== debian/changelog ===
python-saharaclient (3.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:13:50 +0200

python-saharaclient (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2020 22:39:24 +0200

python-saharaclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:24:06 +0200

python-saharaclient (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:34:58 +0200

python-saharaclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:21:52 +0200

python-saharaclient (2.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:46:37 +0200

python-saharaclient (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 09:15:45 +0200

python-saharaclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:27:08 +0200

python-saharaclient (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 22:21:36 +0100

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-saharaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

Package: python3-saharaclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'saharaclient\.tests\.unit.*'
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-saharaclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-saharaclient 3.3.0

=== debian/changelog ===
python-saharaclient (3.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Dec 2020 06:52:32 +0000

python-saharaclient (3.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:00:30 +0000

python-saharaclient (3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:37:35 -0400

python-saharaclient (3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 14:12:48 +0000

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 66~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 5.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 1.0.0),
 python3-pep8,
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-saharaclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-saharaclient
Homepage: https://github.com/openstack/python-saharaclient
Testsuite: autopkgtest-pkg-python

Package: python-saharaclient-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

Package: python3-saharaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 5.2.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

## python-saharaclient 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-Babel!=2.4.0,>=2.3.4 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=2.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
python-saharaclient (3.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:14:11 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 66~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-saharaclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'saharaclient\.tests\.unit.*'
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman -O--buildsystem=pybuild
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf doc/build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:
